Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162683 - [RHEL3 and RHEL2.1] ps command core dump
Summary: [RHEL3 and RHEL2.1] ps command core dump
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Anderson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-07-07 16:46 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 16:12:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Issue Tracker 2005-07-07 16:46:29 UTC
Escalated to Bugzilla from IssueTracker

Comment 11 Karel Zak 2005-09-14 20:50:08 UTC
This is a kernel problem. See new versions of kernel (e.g 2.6.13) -- there's
spin lock for access to task->comm and routines don't use the task->comm field
directly, but there's API (set_task_comm() and get_task_comm()).

See: linux-2.4.21/fs/proc/array.c: proc_pid_stat() where is sprintf("%s",
task->comm).

Comment 12 Karel Zak 2005-09-14 21:05:34 UTC
Note: the kernel task_struct->comm race condition causes ps core dump, because
the ps command doesn't check for format of /proc/*/stat data. A possible
workaround could be detect and ignore processes with corrupted /proc/*/stat. But
I vote for real bug fix in RHEL3 kernel :-)

Comment 13 Ernie Petrides 2005-10-04 01:33:31 UTC
This is a dup of bug 138730, but I won't yet close it as such because
of current access restrictions.  A patch to fix this has been posted
for internal review and is expected to committed to the next U7 build.

Comment 14 Ernie Petrides 2005-10-04 20:24:33 UTC
Access restrictions on bug 138730 have now been lifted.

*** This bug has been marked as a duplicate of 138730 ***

Comment 16 Ernie Petrides 2005-10-08 02:18:01 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.5.EL).


Comment 17 Red Hat Bugzilla 2006-03-15 16:12:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.